@echo off

rem check for software directory ...
if NOT EXIST software (
  echo ERROR: directory [ software ] NOT FOUND!
  echo ABORT.
  exit /b
) else (
  cd software
)

echo ================================================
echo START download of software from SOURCE sites ... 
echo ================================================
echo.

rem start downloads ...
for %%D in (

  basic
  browser
  optional

) do (

  echo ########## [ %%D ] SOFTWARE ##########
  call download-from-source.cmd %%D
  echo.

)

rem for "other" packages use internal ftp server ...
call download-from-ftp.cmd other
echo.

rem go back ...
cd ..

echo.
echo ======
echo READY.
echo ======

